const APP_DISPLAY_NAME = "EZNav";
const APP_NAME = "eznav";
const APP_PACKAGE = "/Devon Jensen/eznav";
const APP_VERSION = "1.0";

const APP_JAR_FILE = "eznav.jar";
const APP_CONTENT_FOLDER = "content/eznav/";

const APP_SUCCESS_MESSAGE = "Please restart your browser.";


initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

var chromef;
var contenttype;

if(confirm("Press OK to install to the global program directory. \n\n" +  "Press Cancel to install to the current profile directory. (Advanced)")) {
	chromef = getFolder("Chrome");
	contenttype = CONTENT | DELAYED_CHROME;
}
else {
	chromef = getFolder("Profile", "chrome");
	contenttype = CONTENT | PROFILE_CHROME;
}

var err = addFile(APP_PACKAGE, APP_VERSION, 'chrome/' + APP_JAR_FILE, chromef, null);
		
if(err >= SUCCESS) {
	var jar = getFolder(chromef, APP_JAR_FILE);
	registerChrome(contenttype, jar, APP_CONTENT_FOLDER);
	err = performInstall();
	if(err >= SUCCESS) {
		alert(APP_DISPLAY_NAME + " " + APP_VERSION + " has been successfully installed.\n"
			+APP_SUCCESS_MESSAGE);
	} else { 
		alert("Install failed. Error code:" + err);
		cancelInstall(err);
	}
} else { 
	alert("Failed to create " +APP_JAR_FILE +"\n"
		+"You probably don't have appropriate permissions \n"
		+"(write access to program/chrome directory). \n"
		+"_____________________________\nError code:" + err);
	cancelInstall(err);
}
